pos
range
Array Functions
PHP Manual

# prev

(PHP 4, PHP 5)

prev — Rewind the internal array pointer

### Description

mixed prev ( array `&$array` )

Rewind the internal array pointer.

prev() behaves just like next(), except it rewinds the internal array pointer one place instead of advancing it.

### Parameters

`array`

  The input array.

### Return Values

Returns the array value in the previous place that's pointed to by the internal array pointer, or `FALSE` if there are no more elements.

### Examples

Example #1 Example use of prev() and friends

`<?php
$transport = array('foot', 'bike', 'car', 'plane');
$mode = current($transport); // $mode = 'foot';
$mode = next($transport); // $mode = 'bike';
$mode = next($transport); // $mode = 'car';
$mode = prev($transport); // $mode = 'bike';
$mode = end($transport); // $mode = 'plane';
?>`

### Notes

Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`. Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

> Note: You won't be able to distinguish the beginning of an array from a boolean `FALSE` element. To properly traverse an array which may contain `FALSE` elements, see the each() function.

### See Also

- current() - Return the current element in an array
- end() - Set the internal pointer of an array to its last element
- next() - Advance the internal array pointer of an array
- reset() - Set the internal pointer of an array to its first element
- each() - Return the current key and value pair from an array and advance the array cursor

pos
range
Array Functions
PHP Manual